package com.example.contentprovider;

import android.database.Cursor;

import androidx.room.Dao;
import androidx.room.Query;

import java.util.List;

@Dao
public interface UserDao extends BaseDao<UserEntity>{
    @Query("SELECT * FROM user_table")
    List<UserEntity> getAll();

    @Query("SELECT * FROM user_table")
    Cursor getCursorAll();

    @Query("DELETE FROM user_table")
    public void deleteAll();
}
